* 1. Determine joint-non-missingness using nested foreach loops
local varlist language age female race marital pregnant
foreach var1 of varlist `varlist' {
	foreach var2 of varlist `varlist' {
		qui count if !missing(`var1',`var2')
		local nonmis = round(`r(N)'/_N*100)
		di "{res}`nonmis'% {txt} of observations are " ///
		"non-missing for both `var1' & `var2'"
	}
}	
