* 1. Create new variable 'newvar' and fill with missing values
gen newvar = .

* 2. Fill in values of 'newvar' based on string values of 'read_hl'
replace newvar = 1 if read_hl == "Not at all"
replace newvar = 2 if read_hl == "Not well"
replace newvar = 3 if read_hl == "Fair"
replace newvar = 4 if read_hl == "Very Well"

 * 3. Define/Modify appropriate value label
 label define newvar 1 "Not at all", modify
 label define newvar 2 "Not well", modify
 label define newvar 3 "Fair", modify
 label define newvar 4 "Very Well", modify

 * 4. Assign new value label and appropriate variable label to 'newvar'
 label values newvar newvar
 label var newvar "Respondent's self-reported home language reading level"
