* 1. Create new variable 'newvar' and fill with missing values
gen newvar = .

* 2. Get list of unique values for 'read_hl' and store in local `levels'
levelsof read_hl, local(levels)

* 3. Specify initial value for index local `i'
local i = 1

* 4. Automatically recode and label 'newvar' using loop with ordered numlist
foreach num of numlist 2 3 1 4 {
	replace newvar = `i' if read_hl == "`: word `num' of `levels''"
	label define newvar `i' "`: word `num' of `levels''", modify
	local ++i
}	

* 5. Assign new value label and appropriate variable label to 'newvar'
label values newvar newvar
label var newvar "`:variable label read_hl'"
