* 1. Summarize wages, store results in matrix, adorn matrix, display matrix
sum wages
mat wages = `r(N)',`r(mean)',`r(Var)',`r(sd)',`r(min)',`r(max)'
mat rownames wages = wages
mat colnames wages = Obs Mean Variance StDev Min Max 
matlist wages

* 2. Summarize vars, store results in matrices, adorn matrices
foreach var of varlist wages earnings pchhinc hhincome {
	sum `var'
	mat `var' = `r(N)',`r(mean)',`r(sd)',`r(min)',`r(max)'
	mat rownames `var' = `var'
	mat colnames `var' = Obs Mean StDev Min Max 
}

* 3. Combine individual matrices into one matrix and display
mat TOTAL = wages \ earnings \ pchhinc \ hhincome
matlist TOTAL

* 4. Use estout to display or export matrix
estout mat(TOTAL)
