* 1. Create series logged variables and kdensity graphs: manually
gen lhhinc_labour = ln(hhinc_labour)
gen lhhinc_grant = ln(hhinc_grant)
gen lhhinc_inv = ln(hhinc_inv)
gen lhhinc_remit = ln(hhinc_remit)
gen lhhinc_rent = ln(hhinc_rent)

kdensity lhhinc_labour, name(lhhinc_labour, replace)
kdensity lhhinc_grant, name(lhhinc_grant, replace)
kdensity lhhinc_inv, name(lhhinc_inv, replace)
kdensity lhhinc_remit, name(lhhinc_remit, replace)
kdensity lhhinc_rent, name(lhhinc_rent, replace)

* 2. Create temporary series of logged variables and kdensity graphs: foreach
foreach stub in labour grant inv remit rent {
	tempvar logvar
	gen `logvar' = ln(hhinc_`stub')
	kdensity `logvar', name(hhinc_`stub', replace)
}	
