* 1. Revalve based on positional arguments
capture program drop revalve	
program revalve					
	rename `1' `2'				
	label variable `2' "`3'"	
	cap replace `2'=. if `2'<0	
end	
							
* 2. Revalve based on aliased positional arguments
capture program drop revalve	
program revalve	
	args oldvarname newvarname varlabel
	rename `oldvarname' `newvarname'				
	label variable `newvarname' "`varlabel'"	
	cap replace `newvarname'=. if `newvarname'<0	
end			

* 3. Revalve based on standard Stata syntax
capture program drop revalve	
program revalve	
	syntax varlist(min=1), Rename(string) [Label(string asis)]
	rename `varlist' `rename'				
	label variable `rename' "`label'"	
	cap replace `rename'=. if `rename'<0	
end			
