* oencode: program to encode string variable using user-specified ordering
* Version 1.2
program define oencode
	syntax varlist(max=1 str), GENerate(string) Order(numlist)
	
	qui levelsof `varlist', local(levels)
	
	if `:word count `order'' < `:word count `levels'' {
		error 122
		exit	
	}
	else if `:word count `order'' > `:word count `levels'' {
		error 123
		exit	
	}
	
	qui gen `generate' = .
	local i = 1
	foreach num of numlist `order' {
		qui replace `generate' = `num' if `varlist' == "`: word `i' of `levels''"
		label define `generate' `num' "`: word `i' of `levels''", modify
		local ++i
	}
	label value `generate' `generate'
	label var `generate' "`:variable label `varlist''"
end	
	
oencode read_hl, gen(randomvar) o(3 1 2)		// too few values
oencode read_hl, gen(randomvar) o(3 1 2 4 5)	// too many values
oencode read_hl, gen(randomvar) o(3 1 2 4)		// correct
