* 1. Create and fill 'agecohort' variable based on values of 'age'
gen agecohort = .
replace agecohort = 1 if inrange(age,0,4)
replace agecohort = 2 if inrange(age,5,9)
replace agecohort = 3 if inrange(age,10,14)
replace agecohort = 4 if inrange(age,15,19)
replace agecohort = 5 if inrange(age,20,24)
replace agecohort = 6 if inrange(age,25,29)
replace agecohort = 7 if inrange(age,30,34)
replace agecohort = 8 if inrange(age,35,39)
replace agecohort = 9 if inrange(age,40,44)
replace agecohort = 10 if inrange(age,45,49)
replace agecohort = 11 if inrange(age,50,54)
replace agecohort = 12 if inrange(age,55,59)
replace agecohort = 13 if inrange(age,60,64)
replace agecohort = 14 if inrange(age,65,69)
replace agecohort = 15 if inrange(age,70,74)
replace agecohort = 16 if inrange(age,75,79)
replace agecohort = 17 if inrange(age,80,84)
replace agecohort = 18 if inrange(age,85,89)
replace agecohort = 19 if inrange(age,90,94)
replace agecohort = 20 if inrange(age,95,99)
replace agecohort = 21 if inrange(age,100,104)
replace agecohort = 22 if inrange(age,105,109)

* 2. Define/modify value labels
label define agecohort 1 "0 - 4", modify
label define agecohort 2 "5 - 9", modify
label define agecohort 3 "10 - 14", modify
label define agecohort 4 "15 - 19", modify
label define agecohort 5 "20 - 24", modify
label define agecohort 6 "25 - 29", modify
label define agecohort 7 "30 - 34", modify
label define agecohort 8 "35 - 39", modify
label define agecohort 9 "40 - 44", modify
label define agecohort 10 "45 - 49", modify
label define agecohort 11 "50 - 54", modify
label define agecohort 12 "55 - 59", modify
label define agecohort 13 "60 - 64", modify
label define agecohort 14 "65 - 69", modify
label define agecohort 15 "70 - 74", modify
label define agecohort 16 "75 - 79", modify
label define agecohort 17 "80 - 84", modify
label define agecohort 18 "85 - 89", modify
label define agecohort 19 "90 - 94", modify
label define agecohort 20 "95 - 99", modify
label define agecohort 21 "100 - 104", modify
label define agecohort 22 "105 - 109", modify

* 3. Assign variable and value labels and order variable
label values agecohort agecohort
label var agecohort "Age cohort"
order var agecohort, after(age) 

* 1. Create and fill 'agecohort' var & value labels based on values of 'age'
gen agecohort = .
local i = 1
forvalues r = 0(5)105 {
	local s = `r' + 4
	replace agecohort = `i' if inrange(age,`r',`s')
	label define agecohort `i' "`r' - `s'", modify
	local ++i
}
	
* 2. Assign variable and value labels and order variable
label values agecohort agecohort
label var agecohort "Age cohort"
order agecohort, after(age) 
