* 1. Create automatically adorned kdensities for log of hhincome from sources
foreach source in labour grant govt inv cap rent {
	tempvar logvar
	gen `logvar' = ln(hhinc_`source')
	twoway (kdensity `logvar' if inrange(`logvar',0,11)), /// 
		name(`source', replace)	ytitle("Density")		///
		xtitle("Log of household income from `source'") ///
		xscale(range(0 11))	xlabel(0/11) title("`source'", size(small))
	local graphlist `graphlist' `source'
}
* 2. Combine kdensities into single graph
graph combine `graphlist', cols(2) ycommon
	
