* 1. Displaying results stored in e() after regress
reg lwages c.educ##c.educ c.age##c.age
ereturn list			// Display results store in e()

* 2. Displaying the variance-covariance matrix stored in e() after regress
reg lwages c.educ##c.educ c.age##c.age
matlist e(V)			// Display matrix e(V)

* 3. Extracting standard errors from the variance-covariance matrix
reg lwages c.educ##c.educ c.age##c.age
matlist vecdiag(cholesky(e(V)))

* 4. Storing standard errors extract from variance-covariance matrix in vector
reg lwages c.educ##c.educ c.age##c.age
mat se = vecdiag(cholesky(e(V)))

* 5. Adding vector of standard errors to results store in e()
reg lwages c.educ##c.educ c.age##c.age
estadd matrix se = vecdiag(cholesky(e(V)))
ereturn list			// Display results store in e()

* 6. Define program that automatically adds vector of standard errors to 
* results store in e() following the regress command
cap program drop addse
program define addse
	version 13.1
	cap qui estadd matrix se = vecdiag(cholesky(e(V)))
end	
