clear all
global rootdir "D:\Academics\Current\Courses\2014.11.24 - Stata Programming\NIDS2008"
global subdir "$rootdir\Subfiles"
mkdir "$subdir"

* 1. Importing the first file and making necessary changes
import delimited "$rootdir\Eastern Cape\NIDS Wave I 2008 for African Female.csv"
gen province = "Eastern Cape"
gen race = "African"
gen gender = "Female"
save "$subdir\Eastern Cape NIDS Wave I 2008 for African Female.dta"

* 2. Importing the first file and making necessary changes
import delimited "$rootdir\Eastern Cape\NIDS Wave I 2008 for African Male.csv"
gen province == "Eastern Cape"
gen race == "African"
gen gender == "Male"
save "$subdir\Eastern Cape NIDS Wave I 2008 for African Male.dta"

import delimited "$rootdir\Eastern Cape\NIDS Wave I 2008 for African No Info Gender.csv"
gen province == "Eastern Cape"
gen race == "African"
gen gender == "No Info Gender"
save "$subdir\Eastern Cape NIDS Wave I 2008 for African No Info Gender.dta"

* 15*10 = 150 files with which this should be done
* 5*150 = 750 lines of code required to do it manually
* Lots of typing and that's not all...

use "$subdir\Eastern Cape NIDS Wave I 2008 for African Female.dta"
append using "$subdir\Eastern Cape NIDS Wave I 2008 for African Male.dta"
*etc etc etc etc











